/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_system_private.h
**  11 Aug 2004 : Hydra II integration of Smart Motors and 8051 private interface.
**
*/


#ifndef HYDRA_SYSTEM_PRIVATE_H
#define HYDRA_SYSTEM_PRIVATE_H

#ifdef __cplusplus
    extern "C" {
#endif


/*  defines
------------------------------------------------------------------------------*/


/*  headers
------------------------------------------------------------------------------*/
#include <stdlib.h>
#include <unistd.h>

#include "hydra_common.h"
#include "hydra_com.h"
#include "hydra_config.h"
#include "hydra_mc.h"
#include "hydra_sleep.h"
#include "hydra_sm.h"
#include "hydra_system.h"


/*  prototypes
------------------------------------------------------------------------------*/
static int gripper_has_button (void);


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_SYSTEM_PRIVATE_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_SYSTEM_PRIVATE_H */
