/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_tools.h
**  01 Jun 2004 : Hydra II test tools interface.
**
*/


#ifndef HYDRA_TOOLS_H
#define HYDRA_TOOLS_H

#ifdef __cplusplus
    extern "C" {
#endif


/*  headers
------------------------------------------------------------------------------*/
#include "hydra_common.h"
#include "hydra_sleep.h"

/*  typedefs
------------------------------------------------------------------------------*/


/*  globals 
------------------------------------------------------------------------------*/
extern Hydra_Time SETTLING_TIME;


/*  prototypes
------------------------------------------------------------------------------*/
int log_profile (Point *p, Hydra_Time *t);
int mapper (char *cl, char mode);
void mapper_signal_handler (int sig);


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_TOOLS_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_TOOLS_H */
