/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_tools_private.h
**  01 Jun 2004 : Hydra II test tools interface.
**
*/


#ifndef HYDRA_TOOLS_PRIVATE_H
#define HYDRA_TOOLS_PRIVATE_H

#ifdef __cplusplus
    extern "C" {
#endif


/*  defines
------------------------------------------------------------------------------*/
#define TOOLS_BUF_SIZE (1024)


/*  headers
------------------------------------------------------------------------------*/
#include <ctype.h>
#include <signal.h>
#include <stdlib.h>
#include <math.h>
#include <sys/wait.h>

#include "hydra_sm.h"
#include "hydra_sm_protected.h"
#include "hydra_tools.h"
#include "smart_motor.h" 
#include "smart_motor_protected.h"


/*  prototypes
------------------------------------------------------------------------------*/


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_TOOLS_PRIVATE_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_TOOLS_PRIVATE_H */
