
/**
 *
 *     - - - -
 *      v d v
 *     - - - -
 *
 *
 *  scalar product of two 3-vectors  (was single precision)
 *
 *
 *  given:
 *      va      real(3)     first vector
 *      vb      real(3)     second vector
 *
 *
 *  the result is the scalar product va.vb (was single precision)
 *
 *
 *  p.t.wallace   starlink   november 1984
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

/* function was REAL */
double sla_vdv (double *va, double *vb)
                                 /* variables were REAL */
{

    return (va[0] * vb[0] + va[1] * vb[1] + va[2] * vb[2]);
}
