#include <unistd.h>
#include <math.h>

/**
 *
 *     - - - - -
 *      w a i t
 *     - - - - -
 *
 *
 *  interval wait
 *
 *
 *  BSD specific
 *
 *
 *  given:
 *
 *     delay     real      delay in seconds
 *
 *
 *  A delay 1 microsec < delay < 200s is requested.
 *
 *
 *  p.t.wallace   starlink   february 1987
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

sla_wait (double delay)
                         /* variable was REAL */
{

    if (delay > 200.0)
        delay = 200.0;
    delay *= 1e6;               /* convert to microseconds */
    usleep ((unsigned int) delay);
}
