
/*	
			buttonHooks.c

   Header file for code to allow the status of various buttons to
   be set by the main program.  These commands originate as
   text into the input stream.
*/

#include <stdio.h>
#include <sys/param.h>
#include <sys/types.h>
#include <xview/xview.h>
#include <xview/canvas.h>
#include <xview/cms.h>
#include <xview/panel.h>
#include <xview/textsw.h>
#include <xview/xv_xrect.h>
#include <gutil.h>
#include "xvFibSim_ui.h"

/* functions that are available */

extern void ledButtonSet (char *args);

extern void complampButtonSet (char *args);

extern void gripperButtonSet (char *args);
