
/*
		fiblist.h

   Structures/functions for tracking lists of fibers.

*/

struct FibList
{

    fibDB *fiber;
    struct FibList *next;
    struct FibList *prev;
};

typedef struct FibList fiblist;

extern fiblist *listAlloc (fibDB * theFiber);
extern void listFree (fiblist * theList);

extern void listAdd (fiblist * theList, fibDB * theFiber);
extern void listRemove (fiblist * theList, fibDB * theFiber);
extern void listThelist (fiblist * theList);
