
/*  
	FopsVar.h

   Constants and functions for publishing the locations
   of fops via GWC.
*/

#define FOP_INACTIVE		0
#define FOP_ASSIGNED_OBJ	1
#define FOP_ASSIGNED_SKY	2
#define FOP_RANDOM_SKY		3

#define RECORD_SIZE_FOPS 	7

void doFOPsetup (gwcConnectInfo info);

void packAfop (struct fiber_dbase *fop, float bundle[]);

void setVarFOP (gwcConnectInfo info, struct fiber_dbase *fop);
