
/*
	log.h

   Header for log.c

*/

#define LOGFILE "currentLog"

#define LOGENV  "LOGPATH"

/* Globals */

extern FILE *CurrentLog;
extern char Prefix[];

/* global functions available */

void logOpenLocal (void);
FILE *logOpen (void);

/* these write to both log and other device */

int log_puts (char *s);
int log_fputs (char *s, FILE * stream);
int log_printf (char *format, long a, long b, long c, long d, long e, long f,
                long g, long h, long i, long j, long l, long m, long n,
                long o, long p, long q);
int log_fprintf (FILE * stream, char *format, long a, long b, long c, long d,
                 long e, long f, long g, long h, long i, long j, long l,
                 long m, long n, long o, long p, long q);
int logString (char *s, FILE * theLog);

/* these write to log only */

void log_putsQ (char *s);
void log_printfQ (char *format, long a, long b, long c, long d, long e,
                  long f, long g, long h, long i, long j, long l, long m,
                  long n, long o, long p, long q);

void labtyd (int error, char *msg);
