# This is the only variable to change if you install HYDRA simulator
# any place other than root of your home directory.
#
setenv FIBHOME ~/hydra_simulator

# DO NOT CHANGE THESE!
#
setenv FIBFIELDS ${FIBHOME}/fields
setenv STDFIELDS ${FIBHOME}/stdfields
setenv LOGPATH ${FIBHOME}/log
setenv FIBDATA ${FIBHOME}/data
setenv FIBBIN ${FIBHOME}/bin
setenv FIBSTATUS ${FIBDATA}/status
setenv FIBINITS ${FIBDATA}/inits
setenv FIBSCRIPTS ${FIBDATA}/scripts
setenv FIBCOORDS ${FIBDATA}/coords
setenv DATAFILE CurrentLocations
setenv SIMFILE SimLocations
setenv STATUSFILE statusFile
setenv SIMSTATUS simStatus
setenv ASTROPROG hydracoords

setenv PATH ${PATH}:${FIBBIN}

echo
echo "********************************************"
echo "Now you are ready to run hydrasim and whydra"
echo "********************************************"
echo
echo "Notes:"
echo "    - Put your .hydra files in ${FIBFIELDS}"
echo "    - Put your .ast files in ${FIBHOME}/whydra"
echo "    - You do not need to cd to any specific dir to run"
echo "      whydra or hydrasim"
echo
