/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_log_private.h
**  12 Feb 2004 : Thread-safe logging private interface.
**
*/


#ifndef HYDRA_LOG_PRIVATE_H
#define HYDRA_LOG_PRIVATE_H

#ifdef __cplusplus
    extern "C" {
#endif


/*  defines
------------------------------------------------------------------------------*/
#define MODULE_NAME "hydra_log"
#define MODULE_VERSION "1.0"


/*  headers
------------------------------------------------------------------------------*/
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdbool.h>
#include <time.h>
#include <sys/types.h>
#include <unistd.h>
#include <pthread.h>

#include "hydra_common.h"
#include "hydra_log.h"


/*  prototypes
------------------------------------------------------------------------------*/


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_LOG_PRIVATE_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_LOG_PRIVATE_H */
