/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_sleep_private.h
**  12 Feb 2004 : High resolution (10 ms) sleep private interface.
**
*/


#ifndef HYDRA_SLEEP_PRIVATE_H
#define HYDRA_SLEEP_PRIVATE_H

#ifdef __cplusplus
    extern "C" {
#endif


/*  defines
------------------------------------------------------------------------------*/


/*  headers
------------------------------------------------------------------------------*/
#include <time.h>
#include <stdio.h>

#include "hydra_common.h"
#include "hydra_sleep.h" 


/*  prototypes
------------------------------------------------------------------------------*/
static int __sleep_s_ms__ (const unsigned long s, const unsigned long ms);

/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_SLEEP_PRIVATE_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_SLEEP_PRIVATE_H */
