#include <stdlib.h>

/**
 *
 *     - - - - - - -
 *      r a n d o m
 *     - - - - - - -
 *
 *
 *  generate pseudo-random real number in the range 0 <= x < 1.
 *
 *
 *
 *  This implementation is vax dependent.
 *  It is now also BSD dependent.
 *
 *
 *  given:
 *
 *     seed     real     an arbitrary real number
 *
 *
 *  returned:
 *
 *     random   real     a new arbitrary value
 *
 *
 *  p.t.wallace   starlink   february 1984
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

/* function was REAL */
double sla_random (double *seed)
{

    static int firsttime = 1;
    int value;

    if (firsttime == 1)
    {
        srandom ((int) (*seed));
        value = random ();
        firsttime = 0;
    }
    else
        value = random ();
    /* make real, < 1.0, by dividing by 2^31 */
    return ((double) value / (double) 0x80000000);
}
