
#include <stdio.h>
#include <ctype.h>
#include <signal.h>
#include <sys/ioctl.h>
#include <sys/param.h>
#include <sys/types.h>
#include <xview/xview.h>
#include <xview/canvas.h>
#include <xview/panel.h>
#include <xview/notify.h>
#include "xvFibSim_ui.h"

extern xvFibSim_window1_objects *XvFibSim_window1;

extern FILE *stuffIn;

Event signalRefresh;

Notify_client clientPipe = 9876;

/* function declarations */

void notifyUpdateFunction ();

Notify_value readCommands ();

void notifyInit (window)
xvFibSim_window1_objects *window;

{
    notify_set_input_func (clientPipe, readCommands, fileno (stuffIn));

    notify_set_signal_func (window->window1,
                            notifyUpdateFunction, SIGUSR1, NOTIFY_SYNC);
}

void notifyUpdateFunction ()
{

    signalRefresh.ie_code = WIN_GRAPHICS_EXPOSE;

    notify_post_event (canvas_paint_window (XvFibSim_window1->canvas1),
                       &signalRefresh, NOTIFY_SAFE);

}

/*
* callback routine for when there is data on the parent's stdin to
* read.  Read it and then write the data to the child process via
* the pipe.
*/

Notify_value readCommands (client, fd)
Notify_client client;
int fd;

{
    int bytes = 1;
    int i;

    /* fputs( "notify on pipe called", stderr ); */

    while (bytes > 0)
    {

        ioctl (fd, FIONREAD, &bytes);

        if (bytes > 0)
            execStream (stuffIn);

    }

    return NOTIFY_DONE;
}
