
/************************************************************
		buttons.h

   This file contains the constants and structures for the 
   file "buttons.c"

*************************************************************/

#define MAXTRYS    10

/* functions */

void ParkButt (int id);
void Unstow (int id);
void MoveButt (struct fiber_dbase *fib, int deadZone);
void DisposeButt (struct fiber_dbase *fib, struct aPoint *target);
void ViewButt (struct fiber_dbase *fib);
void releaseHere (void);
int buttonPresent (void);
int unresolved (void);

void updateDbases (void);

int xyValidForButton (struct fiber_dbase *button, struct aPoint *target);
int xyValidPlate (struct fiber_dbase *button, struct aPoint *target);

/* variables */

extern int currentButton;       /*  button that is under the gripper */
extern int rememberedButton;    /*  button that was marked for future use */

extern int Sloppiness;          /*  Current threshold for tweaking */
