
/*********************************************************

		plate.h

   This file has the constants, and the extern 
   variables and functions for the file plate.c

**********************************************************/

#define PIVOT 109220            /* plate radii in motor steps (2.5 microns) */
#define STOW  85693             /* old value 85679 */
#define PARK  86300
#define PLATE 76200

#define STOWSLOP 50             /* any radii this far from stow is still stow */

#define SOFT_BOUNDRIES	1       /* flags for PlateZ() (explained in function) */
#define HARD_BOUNDRIES	0

#define PLATE_BOUNDRY_SOFTNESS 100.0

#define VOIDORD    0            /* ordinal numbers for each step on plate */
#define PLATEORD   1
#define PARKORD    2

#define PLATE_OK    0
#define PLATE_BAD  -1

#define GRABPLATE  1            /*  program numbers for downloaded programs */
#define GRABPARK   2            /*  Never, never NEVER change these!!!! */
#define DROPPLATE  3
#define DROPPARK   4
#define RELAX      5
