#define LOCK_PATH "/tmp/hydraRunning"

#ifndef TRUE
#define TRUE  1
#define FALSE 0
#endif

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>

/*
main()
{
  laySiege();
}
*/

int weAreNotAlone (void);
int announcePresence (void);

laySiege (void)
{

    if (weAreNotAlone ())
    {
        fputs ("Hydra is already running! --exiting\n", stderr);
        exit (1);
    }
    else
    {
        announcePresence ();
    }
}

weAreNotAlone (void)
{
    struct stat statBuf;

    if (stat (LOCK_PATH, &statBuf) != 0)
    {
        if (errno != ENOENT)
        {
            perror (NULL);
        }
        return (FALSE);
    }
    else
    {
        return (TRUE);
    }
}

announcePresence (void)
{
    FILE *filePtr;

    filePtr = fopen (LOCK_PATH, "w");
    fputs ("No other instances of Hydra running... \n", filePtr);
    fputs ("Claiming access to rack and files. \n", filePtr);
    fclose (filePtr);
}

bowOut (void)
{
    unlink (LOCK_PATH);
    exit (1);
}
